Bug 374131 - vnc server crashes when trying to start google-earth
vnc server crashes when trying to start google-earth
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-09 19:07 EST by Patrick Monnerat
Modified: 2008-12-02 13:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-02 13:13:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrick Monnerat 2007-11-09 19:07:05 EST
Description of problem:
When working remotely connected to a vnc server, launching google-earth crashes 
the vnc server.

Version-Release number of selected component (if applicable):
google-earth (non-fedora).

How reproducible:

Steps to Reproduce:
1. Install google-earth from http://earth.google.com/download-earth.html
2. If needed, set the vnc server password using vncpasswd
3. Start the server with "vncserver"
4. Connect to the server using a vnc client from a remote machine (FYI: mine is 
RealVNC 4.1.2 on XP).
5. Type "googleearth" in the shell window...
Actual results:
a) The vnc window on the remote machine disappears.
b) Issuing "ps ax" on the server host show that Xvnc has stopped
c) In /var/log/message, the following line is logged:
Nov  9 22:16:03 sbftp2 kernel: Xvnc[20159] general protection eip:811c711 
esp:bfadd2c0 error:0

Expected results:
A wonderful display of the planet earth !

Additional info:
Perhaps not related to, but remember google-earth uses GLX...
Comment 1 Adam Tkac 2007-11-19 06:14:29 EST
Bug in main xorg source, reassigning to xorg team
Comment 2 Adam Tkac 2007-11-19 06:15:35 EST
backtrace from Xvfb fail:

#0  0x08b6e5b0 in ?? ()
#1  0x081202e4 in DoSwapInterval (cl=<value optimized out>, pc=0xb7dcb008
"\223\020\004", do_swap=0) at swap_interval.c:80
#2  0x0813128a in __glXDisp_VendorPrivate (cl=0x8ca3998, pc=0xb7dcb008
"\223\020\004") at glxcmds.c:2322
#3  0x08117116 in __glXDispatch (client=0x8c60ac8) at glxext.c:561
#4  0x080f7efe in XaceCatchExtProc (client=0x8c60ac8) at xace.c:299
#5  0x0806ea1a in Dispatch () at dispatch.c:457
#6  0x0807ff1a in main (argc=3, argv=0xbfcf1004, envp=Cannot access memory at
address 0x9
) at main.c:447
#7  0x003ab390 in __libc_start_main () from /lib/i686/nosegneg/libc.so.6
#8  0x0805d831 in _start ()

looks like Mesa problem.
Comment 3 Bug Zapper 2008-11-26 03:16:37 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Patrick Monnerat 2008-12-02 13:13:40 EST
Was related to libGL. OK in F10. Closing bug.

Note You need to log in before you can comment on or make changes to this bug.